Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page # kth_channel_deref_fn Struct Template Reference [Models] `#include <image_view_factory.hpp>` List of all members. ## Detailed Description ### template<int K, typename SrcP> struct boost::gil::detail::kth_channel_deref_fn< K, SrcP > Function object that returns a grayscale reference of the K-th channel (specified as a template parameter) of a given reference. Models: PixelDereferenceAdaptorConcept. If the input is a pixel value or constant reference, the function object is immutable. Otherwise it is mutable (and returns non-const reference to the k-th channel).
## Public Types
typedef kth_channel_deref_fn < K, const_ref_t > | const_t
typedef pixel_value_type < channel_t, gray_layout_t > ::type | value_type
typedef pixel_reference_type < channel_t, gray_layout_t, false, false >::type | const_reference
typedef SrcP | argument_type
typedef mpl::if_c< is_mutable, ref_t, value_type >::type | reference
typedef reference | result_type
## Public Member Functions
| BOOST_STATIC_CONSTANT (bool, is_mutable=pixel_is_reference< SrcP >::value &&pixel_reference_is_mutable< SrcP >::value)
template<typename P>
| kth_channel_deref_fn (const kth_channel_deref_fn< K, P > &)
result_type | operator() (argument_type srcP) const
The documentation for this struct was generated from the following file: image_view_factory.hpp